.modal-container {
  position: fixed;
  z-index: 9998;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  transition: opacity 0.3s ease;
  display: grid;
  place-items: center;
}

.modal-inner {
  background-color: #fff;
  border-radius: 30px;
  padding: 30px;
  width: 500px;
  height: 470px;
}

.modal-text-container {
  overflow-y: scroll;
  height: 400px;
}

@media screen and (max-width: 745px) {
  .modal-container {
    padding: 0 15px;
  }

  .modal-inner {
    width: 100%;
  }
}
